Name:           libzhuyin
Version:        0.9.93
Release:        1%{?dist}
Summary:        Library to deal with zhuyin

License:        GPLv2+
URL:            https://github.com/libzhuyin/libzhuyin
Source0:        http://downloads.sourceforge.net/libzhuyin/libzhuyin/%{name}-%{version}.tar.gz

BuildRequires:  libdb-devel, glib2-devel
Requires:       %{name}-data%{?_isa} = %{version}-%{release}

%description
The libzhuyin project aims to provide the algorithms core
for intelligent sentence-based Chinese zhuyin input methods.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        data
Summary:        Data files for %{name}
Requires:       %{name} = %{version}-%{release}

%description data
The %{name}-data package contains data files.


%package        tools
Summary:        Tools for %{name}
Requires:       %{name} = %{version}-%{release}

%description tools
The %{name}-tools package contains tools.


%prep
%setup -q


%build
%configure --disable-static
make V=1 %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING README
%{_libdir}/*.so.*
%dir %{_libdir}/libzhuyin

%files devel
%doc
%dir %{_includedir}/libzhuyin-0.9.93
%{_includedir}/libzhuyin-0.9.93/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libzhuyin.pc

%files data
%doc
%{_libdir}/libzhuyin/data

%files tools
%{_bindir}/gen_binary_files
%{_bindir}/import_interpolation
%{_bindir}/gen_unigram
%{_mandir}/man1/*.1.*

%changelog
* Tue Dec 24 2013 Peng Wu <pwu@redhat.com> - 0.9.93-1
- Initial version

